#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    int brKarata, iznKarta, izabKarta;
    int karta, idxIzab;

    cin >> brKarata >> iznKarta;

    vector<int> karte;
    while (karte.size() < brKarata)
    {
        cin >> karta;
        karte.push_back(karta);
    }

    for (int i = 0; i < karte.size(); i++)
    {
        if (iznKarta == karte[i])
        {
            idxIzab = karte[i];
        }
    }

    if (iznKarta == karte[0])
    {
        izabKarta = karte[(karte.size() - 1)];
    }
    else if (iznKarta != karte[(karte.size() - 1)])
    {
        izabKarta = karte[(idxIzab - 1)];
    }
    else
    {
        izabKarta = karte[0];
    }

    cout << izabKarta;

    return 0;
}